# H323PluginG7231Capability Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for H323PluginG7231Capability:

[legend]
Collaboration diagram for H323PluginG7231Capability:
[legend]

## Public Member Functions

| H323PluginG7231Capability (const PluginCodec_Definition *codecDefn, const OpalMediaFormat &mediaFormat)
virtual PObject * | Clone () const
virtual PBoolean | OnSendingPDU (H245_AudioCapability &cap, unsigned packetSize) const
virtual PBoolean | OnReceivedPDU (const H245_AudioCapability &cap, unsigned &packetSize)

## Constructor & Destructor Documentation

H323PluginG7231Capability::H323PluginG7231Capability | ( | const PluginCodec_Definition * | codecDefn,
|  | const OpalMediaFormat & | mediaFormat |
| ) |  |  |

## Member Function Documentation

virtual PObject* H323PluginG7231Capability::Clone | ( |  | ) | const`[virtual]`

Reimplemented from H323AudioPluginCapability.

virtual PBoolean H323PluginG7231Capability::OnReceivedPDU | ( | const H245_AudioCapability & | cap,
|  | unsigned & | packetSize |
| ) |  |  | `[virtual]`

This function is called whenever and incoming TerminalCapabilitySet or OpenLogicalChannel PDU has been used to construct the control channel. It allows the capability to set from the PDU fields, information in members specific to the class.

The default behaviour assumes the pdu is an integer number of frames per packet.

Reimplemented from H323AudioCapability.

virtual PBoolean H323PluginG7231Capability::OnSendingPDU | ( | H245_AudioCapability & | cap,
|  | unsigned | packetSize |
| ) |  |  | const`[virtual]`

This function is called whenever and outgoing TerminalCapabilitySet or OpenLogicalChannel PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour assumes the pdu is an integer number of frames per packet.

Reimplemented from H323AudioCapability.

The documentation for this class was generated from the following file:

- opalpluginmgr.h